<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>PersonController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">secretsanta</a> &gt; <a href="index.source.html" class="el_package">com.notthebest.demo.controller</a> &gt; <span class="el_source">PersonController.java</span></div><h1>PersonController.java</h1><pre class="source lang-java linenums">package com.notthebest.demo.controller;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import com.notthebest.demo.model.Person;
import com.notthebest.demo.service.PersonService;

@Controller
<span class="fc" id="L17">public class PersonController {</span>
	
	@Autowired
	PersonService service;
	
	@RequestMapping(&quot;index&quot;)
	public String test() {
<span class="fc" id="L24">		return &quot;index&quot;;</span>
	}
	
	@GetMapping(&quot;addpeople&quot;)
	public String addPeoplePage(Model model) {
<span class="nc" id="L29">		model.addAttribute(&quot;people&quot;, service.getPeople());</span>
<span class="nc" id="L30">		return &quot;addpeople&quot;;</span>
	}
	
	@PostMapping(&quot;addpeople&quot;)
	public String addPeopleToRepo(Person person, Model model) {
<span class="nc" id="L35">		service.addPerson(person);</span>
<span class="nc" id="L36">		model.addAttribute(&quot;people&quot;, service.getPeople());</span>
<span class="nc" id="L37">		return &quot;addpeople&quot;;</span>
	}
	
	@PostMapping(&quot;deletepeople&quot;)
	public String deletePeopleToRepo(Integer id, Model model) {
<span class="pc bpc" id="L42" title="1 of 2 branches missed.">		if(id != null)</span>
<span class="fc" id="L43">			service.deletePerson(id);</span>
<span class="fc" id="L44">		model.addAttribute(&quot;people&quot;, service.getPeople());</span>
<span class="fc" id="L45">		return &quot;addpeople&quot;;</span>
	}
	
	@GetMapping(&quot;generate&quot;)
	public String generateMatches(Model model) {
<span class="nc" id="L50">		Map&lt;String, String&gt; matches = service.generateMatches();</span>
<span class="nc" id="L51">		model.addAttribute(&quot;matches&quot;, matches);</span>
<span class="nc" id="L52">		return &quot;generate&quot;;</span>
	}
//this is comment
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.7.202105040129</span></div></body></html>